﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Diagram
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var diagramToExportView = new DiagramView();
            diagramToExportView.diagram.Measure(new Size(1040, 650));
            diagramToExportView.diagram.Arrange(new Rect(new Size(1040, 650)));

            var dialog = new SaveFileDialog { Filter = "Diagram (.png)|*.png|All Files (*.*)|*.*" };

            if (dialog.ShowDialog() == true)
            {
                using (var stream = dialog.OpenFile())
                {
                    diagramToExportView.diagram.ExportToImage(stream, null, null, margin: new Thickness(10), backgroundBrush: new SolidColorBrush(Colors.White));
                }
            }
        }
    }
}
